remove useless Scilab API C++
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - Digiteo - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 ### SOURCES ###
23
24 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
25 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
26 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
27 #
28 # Copyright (C) 2012 - 2016 - Scilab Enterprises
29 #
30 # This file is hereby licensed under the terms of the GNU GPL v2.0,
31 # pursuant to article 5.3.4 of the CeCILL v.2.1.
32 # This file was originally licensed under the terms of the CeCILL v2.1,
33 # and continues to be available under such terms.
34 # For more information, see the COPYING file which you should have received
35 # along with this program.
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = { \
47   if test -z '$(MAKELEVEL)'; then \
48     false; \
49   elif test -n '$(MAKE_HOST)'; then \
50     true; \
51   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
52     true; \
53   else \
54     false; \
55   fi; \
56 }
57 am__make_running_with_option = \
58   case $${target_option-} in \
59       ?) ;; \
60       *) echo "am__make_running_with_option: internal error: invalid" \
61               "target option '$${target_option-}' specified" >&2; \
62          exit 1;; \
63   esac; \
64   has_opt=no; \
65   sane_makeflags=$$MAKEFLAGS; \
66   if $(am__is_gnu_make); then \
67     sane_makeflags=$$MFLAGS; \
68   else \
69     case $$MAKEFLAGS in \
70       *\\[\ \   ]*) \
71         bs=\\; \
72         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
73           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
74     esac; \
75   fi; \
76   skip_next=no; \
77   strip_trailopt () \
78   { \
79     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
80   }; \
81   for flg in $$sane_makeflags; do \
82     test $$skip_next = yes && { skip_next=no; continue; }; \
83     case $$flg in \
84       *=*|--*) continue;; \
85         -*I) strip_trailopt 'I'; skip_next=yes;; \
86       -*I?*) strip_trailopt 'I';; \
87         -*O) strip_trailopt 'O'; skip_next=yes;; \
88       -*O?*) strip_trailopt 'O';; \
89         -*l) strip_trailopt 'l'; skip_next=yes;; \
90       -*l?*) strip_trailopt 'l';; \
91       -[dEDm]) skip_next=yes;; \
92       -[JT]) skip_next=yes;; \
93     esac; \
94     case $$flg in \
95       *$$target_option*) has_opt=yes; break;; \
96     esac; \
97   done; \
98   test $$has_opt = yes
99 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
100 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
101 pkgdatadir = $(datadir)/@PACKAGE@
102 pkgincludedir = $(includedir)/@PACKAGE@
103 pkglibdir = $(libdir)/@PACKAGE@
104 pkglibexecdir = $(libexecdir)/@PACKAGE@
105 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
106 install_sh_DATA = $(install_sh) -c -m 644
107 install_sh_PROGRAM = $(install_sh) -c
108 install_sh_SCRIPT = $(install_sh) -c
109 INSTALL_HEADER = $(INSTALL_DATA)
110 transform = $(program_transform_name)
111 NORMAL_INSTALL = :
112 PRE_INSTALL = :
113 POST_INSTALL = :
114 NORMAL_UNINSTALL = :
115 PRE_UNINSTALL = :
116 POST_UNINSTALL = :
117 build_triplet = @build@
118 host_triplet = @host@
119 @NEED_JAVA_TRUE@am__append_1 = java
120 subdir = modules/api_scilab
121 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
122 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
123         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
124         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
125         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
126         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
127         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
128         $(top_srcdir)/m4/intel_compiler.m4 \
129         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
130         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
131         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
132         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
133         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
134         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
135         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
136         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
137         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
138         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
139         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
140 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
141         $(ACLOCAL_M4)
142 DIST_COMMON = $(srcdir)/Makefile.am \
143         $(libsciapi_scilab_la_include_HEADERS) $(am__DIST_COMMON)
144 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
145 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
146 CONFIG_CLEAN_FILES =
147 CONFIG_CLEAN_VPATH_FILES =
148 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
149 am__vpath_adj = case $$p in \
150     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
151     *) f=$$p;; \
152   esac;
153 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
154 am__install_max = 40
155 am__nobase_strip_setup = \
156   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
157 am__nobase_strip = \
158   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
159 am__nobase_list = $(am__nobase_strip_setup); \
160   for p in $$list; do echo "$$p $$p"; done | \
161   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
162   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
163     if (++n[$$2] == $(am__install_max)) \
164       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
165     END { for (dir in files) print dir, files[dir] }'
166 am__base_list = \
167   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
168   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
169 am__uninstall_files_from_dir = { \
170   test -z "$$files" \
171     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
172     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
173          $(am__cd) "$$dir" && rm -f $$files; }; \
174   }
175 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
176         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
177         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
178         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
179 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
180 libsciapi_scilab_la_DEPENDENCIES =
181 am__dirstamp = $(am__leading_dot)dirstamp
182 am__objects_1 = src/cpp/libsciapi_scilab_la-api_stack_boolean.lo \
183         src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo \
184         src/cpp/libsciapi_scilab_la-api_stack_common.lo \
185         src/cpp/libsciapi_scilab_la-api_stack_double.lo \
186         src/cpp/libsciapi_scilab_la-api_stack_int.lo \
187         src/cpp/libsciapi_scilab_la-api_stack_list.lo \
188         src/cpp/libsciapi_scilab_la-api_stack_poly.lo \
189         src/cpp/libsciapi_scilab_la-api_stack_sparse.lo \
190         src/cpp/libsciapi_scilab_la-api_stack_string.lo \
191         src/cpp/libsciapi_scilab_la-api_stack_pointer.lo \
192         src/cpp/libsciapi_scilab_la-api_stack_handle.lo \
193         src/cpp/libsciapi_scilab_la-api_stack_error.lo \
194         src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo \
195         src/cpp/libsciapi_scilab_la-api_stack_optional.lo \
196         src/cpp/libsciapi_scilab_la-returnProperty.lo \
197         src/cpp/libsciapi_scilab_la-returnPropertyList.lo \
198         src/cpp/libsciapi_scilab_la-api_template_safe.lo \
199         src/cpp/libsciapi_scilab_la-api_template_unsafe.lo \
200         src/cpp/libsciapi_scilab_la-api_error.lo
201 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
202 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
203 AM_V_lt = $(am__v_lt_@AM_V@)
204 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
205 am__v_lt_0 = --silent
206 am__v_lt_1 = 
207 libsciapi_scilab_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
208         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
209         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciapi_scilab_la_LDFLAGS) \
210         $(LDFLAGS) -o $@
211 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
212 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
213 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
214 AM_V_P = $(am__v_P_@AM_V@)
215 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
216 am__v_P_0 = false
217 am__v_P_1 = :
218 AM_V_GEN = $(am__v_GEN_@AM_V@)
219 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
220 am__v_GEN_0 = @echo "  GEN     " $@;
221 am__v_GEN_1 = 
222 AM_V_at = $(am__v_at_@AM_V@)
223 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
224 am__v_at_0 = @
225 am__v_at_1 = 
226 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
227 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
228 am__depfiles_maybe = depfiles
229 am__mv = mv -f
230 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
231         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
232 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
233         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
234         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
235         $(AM_CXXFLAGS) $(CXXFLAGS)
236 AM_V_CXX = $(am__v_CXX_@AM_V@)
237 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
238 am__v_CXX_0 = @echo "  CXX     " $@;
239 am__v_CXX_1 = 
240 CXXLD = $(CXX)
241 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
242         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
243         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
244 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
245 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
246 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
247 am__v_CXXLD_1 = 
248 SOURCES = $(libsciapi_scilab_la_SOURCES)
249 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
250 am__can_run_installinfo = \
251   case $$AM_UPDATE_INFO_DIR in \
252     n|no|NO) false;; \
253     *) (install-info --version) >/dev/null 2>&1;; \
254   esac
255 DATA = $(libsciapi_scilab_la_etc_DATA) \
256         $(libsciapi_scilab_la_root_DATA)
257 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
258 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
259 # Read a list of newline-separated strings from the standard input,
260 # and print each of them once, without duplicates.  Input order is
261 # *not* preserved.
262 am__uniquify_input = $(AWK) '\
263   BEGIN { nonempty = 0; } \
264   { items[$$0] = 1; nonempty = 1; } \
265   END { if (nonempty) { for (i in items) print i; }; } \
266 '
267 # Make sure the list of sources is unique.  This is necessary because,
268 # e.g., the same source file might be shared among _SOURCES variables
269 # for different programs/libraries.
270 am__define_uniq_tagged_files = \
271   list='$(am__tagged_files)'; \
272   unique=`for i in $$list; do \
273     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
274   done | $(am__uniquify_input)`
275 ETAGS = etags
276 CTAGS = ctags
277 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
278         $(top_srcdir)/config/depcomp \
279         $(top_srcdir)/config/mkinstalldirs
280 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
281 ACLOCAL = @ACLOCAL@
282 ALL_LINGUAS = @ALL_LINGUAS@
283 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
284 AMTAR = @AMTAR@
285 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
286 ANT = @ANT@
287 ANTLR = @ANTLR@
288 AR = @AR@
289 ARPACK_LIBS = @ARPACK_LIBS@
290 ASM3 = @ASM3@
291 AUTOCONF = @AUTOCONF@
292 AUTOHEADER = @AUTOHEADER@
293 AUTOMAKE = @AUTOMAKE@
294 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
295 AWK = @AWK@
296 BATIK = @BATIK@
297 BLAS_CFLAGS = @BLAS_CFLAGS@
298 BLAS_LIBS = @BLAS_LIBS@
299 CC = @CC@
300 CCACHE = @CCACHE@
301 CCDEPMODE = @CCDEPMODE@
302 CFLAGS = @CFLAGS@
303 CHECKSTYLE = @CHECKSTYLE@
304 COBERTURA = @COBERTURA@
305 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
306 COMMONS_IO = @COMMONS_IO@
307 COMMONS_LOGGING = @COMMONS_LOGGING@
308 CPP = @CPP@
309 CPPFLAGS = @CPPFLAGS@
310 CURL_CFLAGS = @CURL_CFLAGS@
311 CURL_CONFIG = @CURL_CONFIG@
312 CURL_LIBS = @CURL_LIBS@
313 CURL_VERSION = @CURL_VERSION@
314 CXX = @CXX@
315 CXXCPP = @CXXCPP@
316 CXXDEPMODE = @CXXDEPMODE@
317 CXXFLAGS = @CXXFLAGS@
318 CYGPATH_W = @CYGPATH_W@
319 DEFS = @DEFS@
320 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
321 DEPDIR = @DEPDIR@
322 DLLTOOL = @DLLTOOL@
323 DOCBOOK_ROOT = @DOCBOOK_ROOT@
324 DOXYGEN_BIN = @DOXYGEN_BIN@
325 DSYMUTIL = @DSYMUTIL@
326 DUMPBIN = @DUMPBIN@
327 ECHO_C = @ECHO_C@
328 ECHO_N = @ECHO_N@
329 ECHO_T = @ECHO_T@
330 ECJ = @ECJ@
331 EGREP = @EGREP@
332 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
333 EXEEXT = @EXEEXT@
334 F77 = @F77@
335 FFLAGS = @FFLAGS@
336 FFTW3_LIB = @FFTW3_LIB@
337 FFTW_ENABLE = @FFTW_ENABLE@
338 FGREP = @FGREP@
339 FLEXDOCK = @FLEXDOCK@
340 FLIBS = @FLIBS@
341 FOP = @FOP@
342 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
343 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
344 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
345 FREEHEP_IO = @FREEHEP_IO@
346 FREEHEP_UTIL = @FREEHEP_UTIL@
347 GENHTML = @GENHTML@
348 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
349 GIWS_BIN = @GIWS_BIN@
350 GLUEGEN2_RT = @GLUEGEN2_RT@
351 GMSGFMT = @GMSGFMT@
352 GMSGFMT_015 = @GMSGFMT_015@
353 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
354 GREP = @GREP@
355 GUI_ENABLE = @GUI_ENABLE@
356 HAMCREST = @HAMCREST@
357 HAVE_CXX11 = @HAVE_CXX11@
358 HDF5_CFLAGS = @HDF5_CFLAGS@
359 HDF5_LIBS = @HDF5_LIBS@
360 HELP_ENABLE = @HELP_ENABLE@
361 INSTALL = @INSTALL@
362 INSTALL_DATA = @INSTALL_DATA@
363 INSTALL_PROGRAM = @INSTALL_PROGRAM@
364 INSTALL_SCRIPT = @INSTALL_SCRIPT@
365 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
366 INTLLIBS = @INTLLIBS@
367 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
368 JAR = @JAR@
369 JAVA = @JAVA@
370 JAVAC = @JAVAC@
371 JAVAC_DEBUG = @JAVAC_DEBUG@
372 JAVADOC = @JAVADOC@
373 JAVAH = @JAVAH@
374 JAVASCI_ENABLE = @JAVASCI_ENABLE@
375 JAVA_ENABLE = @JAVA_ENABLE@
376 JAVA_G = @JAVA_G@
377 JAVA_HOME = @JAVA_HOME@
378 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
379 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
380 JDB = @JDB@
381 JEUCLID_CORE = @JEUCLID_CORE@
382 JGRAPHX = @JGRAPHX@
383 JHALL = @JHALL@
384 JLATEXMATH = @JLATEXMATH@
385 JLATEXMATH_FOP = @JLATEXMATH_FOP@
386 JOGL2 = @JOGL2@
387 JROSETTA_API = @JROSETTA_API@
388 JROSETTA_ENGINE = @JROSETTA_ENGINE@
389 JUNIT4 = @JUNIT4@
390 LAPACK_LIBS = @LAPACK_LIBS@
391 LCOV = @LCOV@
392 LD = @LD@
393 LDFLAGS = @LDFLAGS@
394 LEX = @LEX@
395 LEXLIB = @LEXLIB@
396 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
397 LIBICONV = @LIBICONV@
398 LIBINTL = @LIBINTL@
399 LIBM = @LIBM@
400 LIBOBJS = @LIBOBJS@
401 LIBS = @LIBS@
402 LIBTOOL = @LIBTOOL@
403 LIPO = @LIPO@
404 LN_S = @LN_S@
405 LOGGING_LEVEL = @LOGGING_LEVEL@
406 LOOKS = @LOOKS@
407 LTLIBICONV = @LTLIBICONV@
408 LTLIBINTL = @LTLIBINTL@
409 LTLIBOBJS = @LTLIBOBJS@
410 MAINT = @MAINT@
411 MAKEINFO = @MAKEINFO@
412 MANIFEST_TOOL = @MANIFEST_TOOL@
413 MATIO_CFLAGS = @MATIO_CFLAGS@
414 MATIO_ENABLE = @MATIO_ENABLE@
415 MATIO_LIBS = @MATIO_LIBS@
416 MKDIR_P = @MKDIR_P@
417 MPI_ENABLE = @MPI_ENABLE@
418 MSGCAT = @MSGCAT@
419 MSGFMT = @MSGFMT@
420 MSGFMT_015 = @MSGFMT_015@
421 MSGMERGE = @MSGMERGE@
422 NM = @NM@
423 NMEDIT = @NMEDIT@
424 OBJDUMP = @OBJDUMP@
425 OBJEXT = @OBJEXT@
426 OCAMLC = @OCAMLC@
427 OCAMLDEP = @OCAMLDEP@
428 OCAMLLEX = @OCAMLLEX@
429 OCAMLOPT = @OCAMLOPT@
430 OCAMLYACC = @OCAMLYACC@
431 OPENMPI_CC = @OPENMPI_CC@
432 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
433 OPENMPI_CXX = @OPENMPI_CXX@
434 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
435 OPENMPI_LIBS = @OPENMPI_LIBS@
436 OPENMP_CFLAGS = @OPENMP_CFLAGS@
437 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
438 OPENMP_ENABLE = @OPENMP_ENABLE@
439 OPENMP_LIBS = @OPENMP_LIBS@
440 OTOOL = @OTOOL@
441 OTOOL64 = @OTOOL64@
442 PACKAGE = @PACKAGE@
443 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
444 PACKAGE_NAME = @PACKAGE_NAME@
445 PACKAGE_STRING = @PACKAGE_STRING@
446 PACKAGE_TARNAME = @PACKAGE_TARNAME@
447 PACKAGE_URL = @PACKAGE_URL@
448 PACKAGE_VERSION = @PACKAGE_VERSION@
449 PATH_SEPARATOR = @PATH_SEPARATOR@
450 PCRE_CFLAGS = @PCRE_CFLAGS@
451 PCRE_CONFIG = @PCRE_CONFIG@
452 PCRE_LIBS = @PCRE_LIBS@
453 PCRE_VERSION = @PCRE_VERSION@
454 PKG_CONFIG = @PKG_CONFIG@
455 POSUB = @POSUB@
456 POW_LIB = @POW_LIB@
457 PYTHON = @PYTHON@
458 RANLIB = @RANLIB@
459 RELOCATABLE = @RELOCATABLE@
460 RT_LIB = @RT_LIB@
461 SAXON = @SAXON@
462 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
463 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
464 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
465 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
466 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
467 SCIRENDERER = @SCIRENDERER@
468 SCIRENDERER_CP = @SCIRENDERER_CP@
469 SCI_CFLAGS = @SCI_CFLAGS@
470 SCI_CXXFLAGS = @SCI_CXXFLAGS@
471 SCI_FFLAGS = @SCI_FFLAGS@
472 SCI_LDFLAGS = @SCI_LDFLAGS@
473 SED = @SED@
474 SET_MAKE = @SET_MAKE@
475 SET_RELOCATABLE = @SET_RELOCATABLE@
476 SHELL = @SHELL@
477 SKINLF = @SKINLF@
478 SPLINT = @SPLINT@
479 STRIP = @STRIP@
480 SWIG_BIN = @SWIG_BIN@
481 SWIG_JAVA = @SWIG_JAVA@
482 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
483 SWIG_SCILAB = @SWIG_SCILAB@
484 TCLTK_LIBS = @TCLTK_LIBS@
485 TCL_INC_PATH = @TCL_INC_PATH@
486 TK_INC_PATH = @TK_INC_PATH@
487 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
488 UMFPACK_ENABLE = @UMFPACK_ENABLE@
489 UMFPACK_LIB = @UMFPACK_LIB@
490 USE_NLS = @USE_NLS@
491 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
492 VALGRIND_LIBS = @VALGRIND_LIBS@
493 VERSION = @VERSION@
494 WITH_OCAML = @WITH_OCAML@
495 WITH_TKSCI = @WITH_TKSCI@
496 XCOS_ENABLE = @XCOS_ENABLE@
497 XGETTEXT = @XGETTEXT@
498 XGETTEXT_015 = @XGETTEXT_015@
499 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
500 XMKMF = @XMKMF@
501 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
502 XML_APIS_EXT = @XML_APIS_EXT@
503 XML_CONFIG = @XML_CONFIG@
504 XML_FLAGS = @XML_FLAGS@
505 XML_LIBS = @XML_LIBS@
506 XML_VERSION = @XML_VERSION@
507 X_CFLAGS = @X_CFLAGS@
508 X_EXTRA_LIBS = @X_EXTRA_LIBS@
509 X_LIBS = @X_LIBS@
510 X_PRE_LIBS = @X_PRE_LIBS@
511 YACC = @YACC@
512 YFLAGS = @YFLAGS@
513 abs_builddir = @abs_builddir@
514 abs_srcdir = @abs_srcdir@
515 abs_top_builddir = @abs_top_builddir@
516 abs_top_srcdir = @abs_top_srcdir@
517 ac_ct_AR = @ac_ct_AR@
518 ac_ct_CC = @ac_ct_CC@
519 ac_ct_CXX = @ac_ct_CXX@
520 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
521 ac_ct_F77 = @ac_ct_F77@
522 am__include = @am__include@
523 am__leading_dot = @am__leading_dot@
524 am__quote = @am__quote@
525 am__tar = @am__tar@
526 am__untar = @am__untar@
527 bindir = @bindir@
528 build = @build@
529 build_alias = @build_alias@
530 build_cpu = @build_cpu@
531 build_os = @build_os@
532 build_vendor = @build_vendor@
533 builddir = @builddir@
534 cxx_present = @cxx_present@
535 datadir = @datadir@
536 datarootdir = @datarootdir@
537 docdir = @docdir@
538 dvidir = @dvidir@
539 exec_prefix = @exec_prefix@
540 host = @host@
541 host_alias = @host_alias@
542 host_cpu = @host_cpu@
543 host_os = @host_os@
544 host_vendor = @host_vendor@
545 htmldir = @htmldir@
546 includedir = @includedir@
547 infodir = @infodir@
548 install_sh = @install_sh@
549 libdir = @libdir@
550 libexecdir = @libexecdir@
551 localedir = @localedir@
552 localstatedir = @localstatedir@
553 mandir = @mandir@
554 mkdir_p = @mkdir_p@
555 oldincludedir = @oldincludedir@
556 pdfdir = @pdfdir@
557 prefix = @prefix@
558 program_transform_name = @program_transform_name@
559 psdir = @psdir@
560 sbindir = @sbindir@
561 sharedstatedir = @sharedstatedir@
562 srcdir = @srcdir@
563 sysconfdir = @sysconfdir@
564 target_alias = @target_alias@
565 top_build_prefix = @top_build_prefix@
566 top_builddir = @top_builddir@
567 top_srcdir = @top_srcdir@
568 yacc_present = @yacc_present@
569 API_SCILAB_CXX_SOURCES = \
570     src/cpp/api_stack_boolean.cpp \
571     src/cpp/api_stack_boolean_sparse.cpp \
572     src/cpp/api_stack_common.cpp \
573     src/cpp/api_stack_double.cpp \
574     src/cpp/api_stack_int.cpp \
575     src/cpp/api_stack_list.cpp \
576     src/cpp/api_stack_poly.cpp \
577     src/cpp/api_stack_sparse.cpp \
578     src/cpp/api_stack_string.cpp \
579     src/cpp/api_stack_pointer.cpp \
580     src/cpp/api_stack_handle.cpp \
581     src/cpp/api_stack_error.cpp \
582     src/cpp/api_stack_hypermat.cpp \
583     src/cpp/api_stack_optional.cpp \
584     src/cpp/returnProperty.cpp \
585     src/cpp/returnPropertyList.cpp \
586     src/cpp/api_template_safe.cpp \
587     src/cpp/api_template_unsafe.cpp \
588     src/cpp/api_error.cpp
589
590 libsciapi_scilab_la_CPPFLAGS = \
591     -I$(srcdir)/includes/ \
592     -I$(srcdir)/src/cpp/ \
593     -I$(srcdir)/src/c/ \
594     -I$(top_srcdir)/modules/ast/includes/ast/ \
595     -I$(top_srcdir)/modules/ast/includes/exps/ \
596     -I$(top_srcdir)/modules/ast/includes/operations/ \
597     -I$(top_srcdir)/modules/ast/includes/parse/ \
598     -I$(top_srcdir)/modules/ast/includes/symbol/ \
599     -I$(top_srcdir)/modules/ast/includes/system_env/ \
600     -I$(top_srcdir)/modules/ast/includes/types/ \
601     -I$(top_srcdir)/modules/ast/includes/analysis/ \
602     -I$(top_srcdir)/modules/core/includes \
603     -I$(top_srcdir)/modules/call_scilab/includes \
604     -I$(top_srcdir)/modules/localization/includes \
605     -I$(top_srcdir)/modules/output_stream/includes \
606     -I$(top_srcdir)/modules/elementary_functions/includes \
607     -I$(top_srcdir)/modules/string/includes \
608     -I$(top_srcdir)/modules/dynamic_link/includes \
609     -I$(top_srcdir)/modules/threads/includes \
610     $(AM_CPPFLAGS)
611
612 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
613 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
614 libsciapi_scilab_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
615 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CXX_SOURCES)
616
617 # For the code check (splint)
618 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
619 INCLUDE_FLAGS = $(libsciapi_scilab_la_CPPFLAGS)
620 libsciapi_scilab_la_LIBADD = 
621 #
622
623 #### Target ######
624 modulename = api_scilab
625
626 #### api_scilab : Conf files ####
627 libsciapi_scilab_la_rootdir = $(mydatadir)
628 libsciapi_scilab_la_root_DATA = license.txt
629
630 #### api_scilab : init scripts ####
631 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
632 libsciapi_scilab_la_etc_DATA = \
633     etc/api_scilab.quit \
634     etc/api_scilab.start
635
636
637 #### api_scilab : include files ####
638 libsciapi_scilab_la_includedir = $(pkgincludedir)
639 libsciapi_scilab_la_include_HEADERS = \
640 includes/api_stack_boolean.h \
641 includes/api_stack_boolean_sparse.h \
642 includes/api_stack_common.h \
643 includes/api_stack_error.h \
644 includes/api_stack_double.h \
645 includes/api_stack_hypermat.h \
646 includes/api_stack_int.h \
647 includes/api_stack_list.h \
648 includes/api_stack_pointer.h \
649 includes/api_stack_poly.h \
650 includes/api_stack_sparse.h \
651 includes/api_stack_string.h \
652 includes/api_stack_handle.h \
653 includes/api_stack_optional.h \
654 includes/api_scilab.h \
655 includes/dynlib_api_scilab.h \
656 includes/api_boolean.h \
657 includes/api_cell.h \
658 includes/api_common.h \
659 includes/api_double.h \
660 includes/api_error.h \
661 includes/api_int.h \
662 includes/api_list.h \
663 includes/api_poly.h \
664 includes/api_pointer.h \
665 includes/api_struct.h \
666 includes/api_string.h \
667 includes/api_handle.h \
668 includes/api_optional.h
669
670
671 # Where all the Scilab stuff is installed (macros, help, ...)
672 mydatadir = $(pkgdatadir)/modules/$(modulename)
673
674 # Set AM_* SCI detected settings
675 AM_CPPFLAGS = $(SCI_CPPFLAGS)
676 AM_CFLAGS = $(SCI_CFLAGS)
677 AM_CXXFLAGS = $(SCI_CXXFLAGS)
678 # append includes to AM_FFLAGS to manage fortran includes
679 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
680
681 # Tag shared libraries with the Scilab version
682 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
683
684 # splint options
685 SPLINT_OPTIONS = -weak -booltype BOOL
686
687 ########################### JAVA ######################################
688 #### We are delegating java compilation to ant... Thanks to that
689 #### the procedure will be the same with Microsoft Windows (C)
690 #### and Linux/Unix
691 #######################################################################
692 TARGETS_ALL = $(am__append_1)
693
694 ################ MACROS ######################
695 # Rule to build a macro
696 # NOT USED  AT THE MOMENT
697 SUFFIXES = .sci
698
699 ########### INSTALL DOCUMENTATION ###################
700
701 # Install documentation files into the right target
702 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
703 # automake needs the html files to be present which is not the case when
704 # we are building Scilab
705
706 # Where it should be installed
707 pkgdocdir = $(mydatadir)
708
709 # What is the mask of the help source
710 DOCMASKXML = *.xml
711
712 # What is the mask of the MathML sources
713 DOCMASKMML = *.mml
714
715 ########### INSTALL DATA ###################
716 # Install macros, help & demos
717 # Where it should be installed
718 pkgmacrosdir = $(mydatadir)
719 # Which directory we process
720 MACRODIRS = macros/
721 # Mask of the Scilab sources macros
722 MACROMASK = *.sci
723 # Mask of the Scilab executable sources macros
724 MACROBUILDMASK = *.sce
725 # Mask of the Scilab compiled macros
726 MACROBINMASK = *.bin
727 # List of the standard directory for tests
728 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
729 # Where the demos should be installed
730 pkgdemosdir = $(mydatadir)
731 # List of the standard directory for demos
732 DEMOS_DIR = demos
733 # List of the standard directory for examples
734 EXAMPLES_DIR = examples
735 # Where to export JAVA archives (.jar)
736 JARDIR = jar/
737 # JAR files mask
738 JARMASK = *.jar
739 # Chapter file
740 HELP_CHAPTERDIR = help/
741 HELP_CHAPTERFILE = addchapter.sce
742 HELP_CHAPTERLANG = en_US fr_FR pt_BR
743 all: all-am
744
745 .SUFFIXES:
746 .SUFFIXES: .sci .bin .cpp .lo .o .obj
747 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
748         @for dep in $?; do \
749           case '$(am__configure_deps)' in \
750             *$$dep*) \
751               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
752                 && { if test -f $@; then exit 0; else break; fi; }; \
753               exit 1;; \
754           esac; \
755         done; \
756         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
757         $(am__cd) $(top_srcdir) && \
758           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
759 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
760         @case '$?' in \
761           *config.status*) \
762             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
763           *) \
764             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
765             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
766         esac;
767 $(top_srcdir)/Makefile.incl.am $(am__empty):
768
769 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
770         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
771
772 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
773         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
774 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
775         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
776 $(am__aclocal_m4_deps):
777
778 clean-noinstLTLIBRARIES:
779         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
780         @list='$(noinst_LTLIBRARIES)'; \
781         locs=`for p in $$list; do echo $$p; done | \
782               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
783               sort -u`; \
784         test -z "$$locs" || { \
785           echo rm -f $${locs}; \
786           rm -f $${locs}; \
787         }
788
789 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
790         @$(NORMAL_INSTALL)
791         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
792         list2=; for p in $$list; do \
793           if test -f $$p; then \
794             list2="$$list2 $$p"; \
795           else :; fi; \
796         done; \
797         test -z "$$list2" || { \
798           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
799           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
800           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
801           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
802         }
803
804 uninstall-pkglibLTLIBRARIES:
805         @$(NORMAL_UNINSTALL)
806         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
807         for p in $$list; do \
808           $(am__strip_dir) \
809           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
810           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
811         done
812
813 clean-pkglibLTLIBRARIES:
814         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
815         @list='$(pkglib_LTLIBRARIES)'; \
816         locs=`for p in $$list; do echo $$p; done | \
817               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
818               sort -u`; \
819         test -z "$$locs" || { \
820           echo rm -f $${locs}; \
821           rm -f $${locs}; \
822         }
823 src/cpp/$(am__dirstamp):
824         @$(MKDIR_P) src/cpp
825         @: > src/cpp/$(am__dirstamp)
826 src/cpp/$(DEPDIR)/$(am__dirstamp):
827         @$(MKDIR_P) src/cpp/$(DEPDIR)
828         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
829 src/cpp/libsciapi_scilab_la-api_stack_boolean.lo:  \
830         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
831 src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo:  \
832         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
833 src/cpp/libsciapi_scilab_la-api_stack_common.lo:  \
834         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
835 src/cpp/libsciapi_scilab_la-api_stack_double.lo:  \
836         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
837 src/cpp/libsciapi_scilab_la-api_stack_int.lo: src/cpp/$(am__dirstamp) \
838         src/cpp/$(DEPDIR)/$(am__dirstamp)
839 src/cpp/libsciapi_scilab_la-api_stack_list.lo:  \
840         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
841 src/cpp/libsciapi_scilab_la-api_stack_poly.lo:  \
842         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
843 src/cpp/libsciapi_scilab_la-api_stack_sparse.lo:  \
844         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
845 src/cpp/libsciapi_scilab_la-api_stack_string.lo:  \
846         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
847 src/cpp/libsciapi_scilab_la-api_stack_pointer.lo:  \
848         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
849 src/cpp/libsciapi_scilab_la-api_stack_handle.lo:  \
850         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
851 src/cpp/libsciapi_scilab_la-api_stack_error.lo:  \
852         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
853 src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo:  \
854         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
855 src/cpp/libsciapi_scilab_la-api_stack_optional.lo:  \
856         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
857 src/cpp/libsciapi_scilab_la-returnProperty.lo:  \
858         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
859 src/cpp/libsciapi_scilab_la-returnPropertyList.lo:  \
860         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
861 src/cpp/libsciapi_scilab_la-api_template_safe.lo:  \
862         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
863 src/cpp/libsciapi_scilab_la-api_template_unsafe.lo:  \
864         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
865 src/cpp/libsciapi_scilab_la-api_error.lo: src/cpp/$(am__dirstamp) \
866         src/cpp/$(DEPDIR)/$(am__dirstamp)
867
868 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) $(EXTRA_libsciapi_scilab_la_DEPENDENCIES) 
869         $(AM_V_CXXLD)$(libsciapi_scilab_la_LINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
870
871 mostlyclean-compile:
872         -rm -f *.$(OBJEXT)
873         -rm -f src/cpp/*.$(OBJEXT)
874         -rm -f src/cpp/*.lo
875
876 distclean-compile:
877         -rm -f *.tab.c
878
879 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@
880 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo@am__quote@
881 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo@am__quote@
882 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo@am__quote@
883 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo@am__quote@
884 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo@am__quote@
885 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo@am__quote@
886 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo@am__quote@
887 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo@am__quote@
888 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo@am__quote@
889 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo@am__quote@
890 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo@am__quote@
891 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo@am__quote@
892 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo@am__quote@
893 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo@am__quote@
894 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo@am__quote@
895 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo@am__quote@
896 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo@am__quote@
897 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo@am__quote@
898
899 .cpp.o:
900 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
901 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
902 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
903 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
904 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
905 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
906
907 .cpp.obj:
908 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
909 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
910 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
911 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
912 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
913 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
914
915 .cpp.lo:
916 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
917 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
918 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
919 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
920 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
921 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
922
923 src/cpp/libsciapi_scilab_la-api_stack_boolean.lo: src/cpp/api_stack_boolean.cpp
924 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_boolean.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean.lo `test -f 'src/cpp/api_stack_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean.cpp
925 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo
926 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_boolean.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_boolean.lo' libtool=yes @AMDEPBACKSLASH@
927 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
928 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean.lo `test -f 'src/cpp/api_stack_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean.cpp
929
930 src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo: src/cpp/api_stack_boolean_sparse.cpp
931 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo `test -f 'src/cpp/api_stack_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean_sparse.cpp
932 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo
933 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_boolean_sparse.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
934 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
935 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo `test -f 'src/cpp/api_stack_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean_sparse.cpp
936
937 src/cpp/libsciapi_scilab_la-api_stack_common.lo: src/cpp/api_stack_common.cpp
938 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_common.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_common.lo `test -f 'src/cpp/api_stack_common.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_common.cpp
939 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo
940 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_common.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_common.lo' libtool=yes @AMDEPBACKSLASH@
941 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
942 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_common.lo `test -f 'src/cpp/api_stack_common.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_common.cpp
943
944 src/cpp/libsciapi_scilab_la-api_stack_double.lo: src/cpp/api_stack_double.cpp
945 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_double.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_double.lo `test -f 'src/cpp/api_stack_double.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_double.cpp
946 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo
947 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_double.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_double.lo' libtool=yes @AMDEPBACKSLASH@
948 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
949 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_double.lo `test -f 'src/cpp/api_stack_double.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_double.cpp
950
951 src/cpp/libsciapi_scilab_la-api_stack_int.lo: src/cpp/api_stack_int.cpp
952 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_int.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_int.lo `test -f 'src/cpp/api_stack_int.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_int.cpp
953 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo
954 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_int.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_int.lo' libtool=yes @AMDEPBACKSLASH@
955 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
956 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_int.lo `test -f 'src/cpp/api_stack_int.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_int.cpp
957
958 src/cpp/libsciapi_scilab_la-api_stack_list.lo: src/cpp/api_stack_list.cpp
959 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_list.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_list.lo `test -f 'src/cpp/api_stack_list.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_list.cpp
960 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo
961 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_list.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_list.lo' libtool=yes @AMDEPBACKSLASH@
962 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
963 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_list.lo `test -f 'src/cpp/api_stack_list.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_list.cpp
964
965 src/cpp/libsciapi_scilab_la-api_stack_poly.lo: src/cpp/api_stack_poly.cpp
966 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_poly.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_poly.lo `test -f 'src/cpp/api_stack_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_poly.cpp
967 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo
968 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_poly.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_poly.lo' libtool=yes @AMDEPBACKSLASH@
969 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
970 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_poly.lo `test -f 'src/cpp/api_stack_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_poly.cpp
971
972 src/cpp/libsciapi_scilab_la-api_stack_sparse.lo: src/cpp/api_stack_sparse.cpp
973 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_sparse.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_sparse.lo `test -f 'src/cpp/api_stack_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_sparse.cpp
974 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo
975 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_sparse.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_sparse.lo' libtool=yes @AMDEPBACKSLASH@
976 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
977 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_sparse.lo `test -f 'src/cpp/api_stack_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_sparse.cpp
978
979 src/cpp/libsciapi_scilab_la-api_stack_string.lo: src/cpp/api_stack_string.cpp
980 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_string.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_string.lo `test -f 'src/cpp/api_stack_string.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_string.cpp
981 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo
982 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_string.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_string.lo' libtool=yes @AMDEPBACKSLASH@
983 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
984 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_string.lo `test -f 'src/cpp/api_stack_string.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_string.cpp
985
986 src/cpp/libsciapi_scilab_la-api_stack_pointer.lo: src/cpp/api_stack_pointer.cpp
987 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_pointer.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_pointer.lo `test -f 'src/cpp/api_stack_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_pointer.cpp
988 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo
989 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_pointer.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_pointer.lo' libtool=yes @AMDEPBACKSLASH@
990 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
991 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_pointer.lo `test -f 'src/cpp/api_stack_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_pointer.cpp
992
993 src/cpp/libsciapi_scilab_la-api_stack_handle.lo: src/cpp/api_stack_handle.cpp
994 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_handle.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_handle.lo `test -f 'src/cpp/api_stack_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_handle.cpp
995 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo
996 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_handle.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_handle.lo' libtool=yes @AMDEPBACKSLASH@
997 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
998 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_handle.lo `test -f 'src/cpp/api_stack_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_handle.cpp
999
1000 src/cpp/libsciapi_scilab_la-api_stack_error.lo: src/cpp/api_stack_error.cpp
1001 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_error.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_error.lo `test -f 'src/cpp/api_stack_error.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_error.cpp
1002 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo
1003 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_error.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_error.lo' libtool=yes @AMDEPBACKSLASH@
1004 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1005 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_error.lo `test -f 'src/cpp/api_stack_error.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_error.cpp
1006
1007 src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo: src/cpp/api_stack_hypermat.cpp
1008 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo `test -f 'src/cpp/api_stack_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_hypermat.cpp
1009 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo
1010 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_hypermat.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo' libtool=yes @AMDEPBACKSLASH@
1011 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1012 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo `test -f 'src/cpp/api_stack_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_hypermat.cpp
1013
1014 src/cpp/libsciapi_scilab_la-api_stack_optional.lo: src/cpp/api_stack_optional.cpp
1015 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_optional.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_optional.lo `test -f 'src/cpp/api_stack_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_optional.cpp
1016 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo
1017 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_optional.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_optional.lo' libtool=yes @AMDEPBACKSLASH@
1018 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1019 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_optional.lo `test -f 'src/cpp/api_stack_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_optional.cpp
1020
1021 src/cpp/libsciapi_scilab_la-returnProperty.lo: src/cpp/returnProperty.cpp
1022 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-returnProperty.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Tpo -c -o src/cpp/libsciapi_scilab_la-returnProperty.lo `test -f 'src/cpp/returnProperty.cpp' || echo '$(srcdir)/'`src/cpp/returnProperty.cpp
1023 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo
1024 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/returnProperty.cpp' object='src/cpp/libsciapi_scilab_la-returnProperty.lo' libtool=yes @AMDEPBACKSLASH@
1025 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1026 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-returnProperty.lo `test -f 'src/cpp/returnProperty.cpp' || echo '$(srcdir)/'`src/cpp/returnProperty.cpp
1027
1028 src/cpp/libsciapi_scilab_la-returnPropertyList.lo: src/cpp/returnPropertyList.cpp
1029 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-returnPropertyList.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Tpo -c -o src/cpp/libsciapi_scilab_la-returnPropertyList.lo `test -f 'src/cpp/returnPropertyList.cpp' || echo '$(srcdir)/'`src/cpp/returnPropertyList.cpp
1030 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo
1031 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/returnPropertyList.cpp' object='src/cpp/libsciapi_scilab_la-returnPropertyList.lo' libtool=yes @AMDEPBACKSLASH@
1032 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1033 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-returnPropertyList.lo `test -f 'src/cpp/returnPropertyList.cpp' || echo '$(srcdir)/'`src/cpp/returnPropertyList.cpp
1034
1035 src/cpp/libsciapi_scilab_la-api_template_safe.lo: src/cpp/api_template_safe.cpp
1036 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_template_safe.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Tpo -c -o src/cpp/libsciapi_scilab_la-api_template_safe.lo `test -f 'src/cpp/api_template_safe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_safe.cpp
1037 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo
1038 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_template_safe.cpp' object='src/cpp/libsciapi_scilab_la-api_template_safe.lo' libtool=yes @AMDEPBACKSLASH@
1039 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1040 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_template_safe.lo `test -f 'src/cpp/api_template_safe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_safe.cpp
1041
1042 src/cpp/libsciapi_scilab_la-api_template_unsafe.lo: src/cpp/api_template_unsafe.cpp
1043 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_template_unsafe.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Tpo -c -o src/cpp/libsciapi_scilab_la-api_template_unsafe.lo `test -f 'src/cpp/api_template_unsafe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_unsafe.cpp
1044 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo
1045 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_template_unsafe.cpp' object='src/cpp/libsciapi_scilab_la-api_template_unsafe.lo' libtool=yes @AMDEPBACKSLASH@
1046 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1047 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_template_unsafe.lo `test -f 'src/cpp/api_template_unsafe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_unsafe.cpp
1048
1049 src/cpp/libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
1050 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_error.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o src/cpp/libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
1051 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo
1052 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_error.cpp' object='src/cpp/libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
1053 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1054 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
1055
1056 mostlyclean-libtool:
1057         -rm -f *.lo
1058
1059 clean-libtool:
1060         -rm -rf .libs _libs
1061         -rm -rf src/cpp/.libs src/cpp/_libs
1062 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
1063         @$(NORMAL_INSTALL)
1064         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
1065         if test -n "$$list"; then \
1066           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
1067           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit 1; \
1068         fi; \
1069         for p in $$list; do \
1070           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1071           echo "$$d$$p"; \
1072         done | $(am__base_list) | \
1073         while read files; do \
1074           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
1075           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
1076         done
1077
1078 uninstall-libsciapi_scilab_la_etcDATA:
1079         @$(NORMAL_UNINSTALL)
1080         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
1081         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1082         dir='$(DESTDIR)$(libsciapi_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
1083 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
1084         @$(NORMAL_INSTALL)
1085         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
1086         if test -n "$$list"; then \
1087           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
1088           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit 1; \
1089         fi; \
1090         for p in $$list; do \
1091           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1092           echo "$$d$$p"; \
1093         done | $(am__base_list) | \
1094         while read files; do \
1095           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
1096           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
1097         done
1098
1099 uninstall-libsciapi_scilab_la_rootDATA:
1100         @$(NORMAL_UNINSTALL)
1101         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
1102         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1103         dir='$(DESTDIR)$(libsciapi_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
1104 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
1105         @$(NORMAL_INSTALL)
1106         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
1107         if test -n "$$list"; then \
1108           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
1109           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit 1; \
1110         fi; \
1111         for p in $$list; do \
1112           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1113           echo "$$d$$p"; \
1114         done | $(am__base_list) | \
1115         while read files; do \
1116           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
1117           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
1118         done
1119
1120 uninstall-libsciapi_scilab_la_includeHEADERS:
1121         @$(NORMAL_UNINSTALL)
1122         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
1123         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1124         dir='$(DESTDIR)$(libsciapi_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
1125
1126 ID: $(am__tagged_files)
1127         $(am__define_uniq_tagged_files); mkid -fID $$unique
1128 tags: tags-am
1129 TAGS: tags
1130
1131 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1132         set x; \
1133         here=`pwd`; \
1134         $(am__define_uniq_tagged_files); \
1135         shift; \
1136         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1137           test -n "$$unique" || unique=$$empty_fix; \
1138           if test $$# -gt 0; then \
1139             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1140               "$$@" $$unique; \
1141           else \
1142             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1143               $$unique; \
1144           fi; \
1145         fi
1146 ctags: ctags-am
1147
1148 CTAGS: ctags
1149 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1150         $(am__define_uniq_tagged_files); \
1151         test -z "$(CTAGS_ARGS)$$unique" \
1152           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1153              $$unique
1154
1155 GTAGS:
1156         here=`$(am__cd) $(top_builddir) && pwd` \
1157           && $(am__cd) $(top_srcdir) \
1158           && gtags -i $(GTAGS_ARGS) "$$here"
1159 cscopelist: cscopelist-am
1160
1161 cscopelist-am: $(am__tagged_files)
1162         list='$(am__tagged_files)'; \
1163         case "$(srcdir)" in \
1164           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1165           *) sdir=$(subdir)/$(srcdir) ;; \
1166         esac; \
1167         for i in $$list; do \
1168           if test -f "$$i"; then \
1169             echo "$(subdir)/$$i"; \
1170           else \
1171             echo "$$sdir/$$i"; \
1172           fi; \
1173         done >> $(top_builddir)/cscope.files
1174
1175 distclean-tags:
1176         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1177
1178 distdir: $(DISTFILES)
1179         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1180         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1181         list='$(DISTFILES)'; \
1182           dist_files=`for file in $$list; do echo $$file; done | \
1183           sed -e "s|^$$srcdirstrip/||;t" \
1184               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1185         case $$dist_files in \
1186           */*) $(MKDIR_P) `echo "$$dist_files" | \
1187                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1188                            sort -u` ;; \
1189         esac; \
1190         for file in $$dist_files; do \
1191           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1192           if test -d $$d/$$file; then \
1193             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1194             if test -d "$(distdir)/$$file"; then \
1195               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1196             fi; \
1197             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1198               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1199               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1200             fi; \
1201             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1202           else \
1203             test -f "$(distdir)/$$file" \
1204             || cp -p $$d/$$file "$(distdir)/$$file" \
1205             || exit 1; \
1206           fi; \
1207         done
1208 check-am: all-am
1209         $(MAKE) $(AM_MAKEFLAGS) check-local
1210 check: check-am
1211 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1212 installdirs:
1213         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
1214           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1215         done
1216 install: install-am
1217 install-exec: install-exec-am
1218 install-data: install-data-am
1219 uninstall: uninstall-am
1220
1221 install-am: all-am
1222         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1223
1224 installcheck: installcheck-am
1225 install-strip:
1226         if test -z '$(STRIP)'; then \
1227           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1228             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1229               install; \
1230         else \
1231           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1232             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1233             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1234         fi
1235 mostlyclean-generic:
1236
1237 clean-generic:
1238
1239 distclean-generic:
1240         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1241         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1242         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1243         -rm -f src/cpp/$(am__dirstamp)
1244
1245 maintainer-clean-generic:
1246         @echo "This command is intended for maintainers to use"
1247         @echo "it deletes files that may require special tools to rebuild."
1248 clean: clean-am
1249
1250 clean-am: clean-generic clean-libtool clean-local \
1251         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1252
1253 distclean: distclean-am
1254         -rm -rf src/cpp/$(DEPDIR)
1255         -rm -f Makefile
1256 distclean-am: clean-am distclean-compile distclean-generic \
1257         distclean-local distclean-tags
1258
1259 dvi: dvi-am
1260
1261 dvi-am:
1262
1263 html: html-am
1264
1265 html-am:
1266
1267 info: info-am
1268
1269 info-am:
1270
1271 install-data-am: install-data-local \
1272         install-libsciapi_scilab_la_etcDATA \
1273         install-libsciapi_scilab_la_includeHEADERS \
1274         install-libsciapi_scilab_la_rootDATA
1275
1276 install-dvi: install-dvi-am
1277
1278 install-dvi-am:
1279
1280 install-exec-am: install-pkglibLTLIBRARIES
1281
1282 install-html: install-html-am
1283
1284 install-html-am: install-html-local
1285
1286 install-info: install-info-am
1287
1288 install-info-am:
1289
1290 install-man:
1291
1292 install-pdf: install-pdf-am
1293
1294 install-pdf-am:
1295
1296 install-ps: install-ps-am
1297
1298 install-ps-am:
1299
1300 installcheck-am:
1301
1302 maintainer-clean: maintainer-clean-am
1303         -rm -rf src/cpp/$(DEPDIR)
1304         -rm -f Makefile
1305 maintainer-clean-am: distclean-am maintainer-clean-generic
1306
1307 mostlyclean: mostlyclean-am
1308
1309 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1310         mostlyclean-libtool
1311
1312 pdf: pdf-am
1313
1314 pdf-am:
1315
1316 ps: ps-am
1317
1318 ps-am:
1319
1320 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
1321         uninstall-libsciapi_scilab_la_includeHEADERS \
1322         uninstall-libsciapi_scilab_la_rootDATA \
1323         uninstall-pkglibLTLIBRARIES
1324
1325 .MAKE: check-am install-am install-strip
1326
1327 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1328         check-local clean clean-generic clean-libtool clean-local \
1329         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1330         ctags ctags-am distclean distclean-compile distclean-generic \
1331         distclean-libtool distclean-local distclean-tags distdir dvi \
1332         dvi-am html html-am info info-am install install-am \
1333         install-data install-data-am install-data-local install-dvi \
1334         install-dvi-am install-exec install-exec-am install-html \
1335         install-html-am install-html-local install-info \
1336         install-info-am install-libsciapi_scilab_la_etcDATA \
1337         install-libsciapi_scilab_la_includeHEADERS \
1338         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1339         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1340         install-ps-am install-strip installcheck installcheck-am \
1341         installdirs maintainer-clean maintainer-clean-generic \
1342         mostlyclean mostlyclean-compile mostlyclean-generic \
1343         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1344         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1345         uninstall-libsciapi_scilab_la_includeHEADERS \
1346         uninstall-libsciapi_scilab_la_rootDATA \
1347         uninstall-pkglibLTLIBRARIES
1348
1349 .PRECIOUS: Makefile
1350
1351
1352 # This target enables tests for Scilab
1353 check-local: $(top_builddir)/scilab-bin test
1354         if test -d $(mydatadir)/tests; then \
1355           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1356         fi
1357 check-code:
1358         if test -f build.xml; then \
1359                 $(ANT) checkstyle; \
1360         fi
1361         if test -x "$(SPLINT)"; then \
1362                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1363         fi
1364 @NEED_JAVA_TRUE@java:
1365 # Some configurations needs to export JAVA_HOME in the current env
1366 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1367 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1368 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1369 @NEED_JAVA_TRUE@                $(ANT); \
1370 @NEED_JAVA_TRUE@        fi
1371
1372 @NEED_JAVA_TRUE@clean-java:
1373 # Some configurations needs to export JAVA_HOME in the current env
1374 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1375 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1376 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1377 @NEED_JAVA_TRUE@                $(ANT) clean; \
1378 @NEED_JAVA_TRUE@        fi;
1379
1380 # If the user request for the SWIG generation of the wrappers Java => C/C++
1381 # We call the target swig-build on the variable SWIG_WRAPPERS
1382
1383 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1384 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1385 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1386 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1387 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1388 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1389 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1390 @SWIG_TRUE@             done; \
1391 @SWIG_TRUE@     fi
1392
1393 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1394 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1395 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1396 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1397 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1398 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1399 @SWIG_TRUE@             done; \
1400 @SWIG_TRUE@     fi
1401
1402 # If the user request for the SWIG generation of the wrappers Java => C/C++
1403 # We call the target swig-build on the variable SWIG_WRAPPERS
1404
1405 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1406 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1407 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1408 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1409 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1410 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1411 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1412 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1413 @GIWS_TRUE@                     else \
1414 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1415 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1416 @GIWS_TRUE@                     fi \
1417 @GIWS_TRUE@             done; \
1418 @GIWS_TRUE@     fi
1419
1420 @GIWS_TRUE@giws-exception:
1421 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1422 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1423 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1424
1425 macros:
1426         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1427                 echo "Error : Cannot build $< : Scilab has not been built"; \
1428         else \
1429                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1430         fi)
1431
1432 # Removes the macros
1433 clean-macros:
1434 # Removes macros (*.bin generated from .sci)
1435         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1436                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1437                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1438         done
1439
1440 test:
1441 # More tests could be added here
1442         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1443         if test -f build.xml -a $$USEANT -eq 1; then \
1444                 $(ANT) test; \
1445         fi
1446
1447 all-local: $(TARGETS_ALL)
1448
1449 .sci.bin:
1450         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1451         echo "Error : Cannot build $< : Scilab has not been build"; \
1452         else \
1453         echo "Creating $@"; \
1454         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1455         fi )
1456
1457 install-html-local:
1458
1459 install-data-local-local:
1460 # Mainly for javasci
1461         @if test -d $(srcdir)/javadoc; then \
1462                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1463         fi
1464 # If the user wants the help sources to be installed
1465 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1466 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1467 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1468 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1469 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1470 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1471 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1472 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1473 @INSTALL_HELP_XML_TRUE@           done ; \
1474 @INSTALL_HELP_XML_TRUE@         fi; \
1475 @INSTALL_HELP_XML_TRUE@  fi; \
1476 @INSTALL_HELP_XML_TRUE@ done; \
1477 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1478 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1479 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1480 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1481 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1482 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1483 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1484 @INSTALL_HELP_XML_TRUE@           done ; \
1485 @INSTALL_HELP_XML_TRUE@         fi; \
1486 @INSTALL_HELP_XML_TRUE@ fi
1487 install-data-local:
1488 # Install the tests
1489         @echo "-------- Install tests (if any) --------"; \
1490         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1491           if test -d $(srcdir)/$$dir/; then \
1492             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1493                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1494                     if test -d "$(srcdir)/$$dir/$$file"; then \
1495                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1496                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1497                     else \
1498                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1499                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1500                     fi \
1501                   done; \
1502           fi; \
1503         done
1504 # Install the help chapter
1505         @echo "-------- Install the help chapter (if any) --------"; \
1506         for lang in $(HELP_CHAPTERLANG); do \
1507                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1508                 if test -f $$HELPFILE; then \
1509                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1510                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1511                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1512                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1513                 fi; \
1514         done
1515 # Install the demos & examples
1516         @echo "-------- Install demos & examples (if any) --------"; \
1517         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1518           if test -d $(srcdir)/$$dir/; then \
1519             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1520                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1521                     if test -d "$(srcdir)/$$dir/$$file"; then \
1522                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1523                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1524                     else \
1525                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1526                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1527                     fi \
1528                   done; \
1529           fi; \
1530         done
1531 # Install the macros
1532         @echo "-------- Install macros (if any) --------"; \
1533         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1534           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1535                 if test -d $(srcdir)/$$dir/; then \
1536                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1537                         if test -n "$(MACROSSPECIALEXT)"; then \
1538                                 specialExtDir=""; \
1539                                 for specialExt in $(MACROSSPECIALEXT); do \
1540                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1541                                 done; \
1542                                 FILELIST="$$FILELIST $$specialExtDir"; \
1543                         fi; \
1544                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1545                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1546                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1547                   done; \
1548                 fi; \
1549         done
1550 # Install java files (.jar)
1551         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1552         echo "-------- Install jar files --------"; \
1553     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1554           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1555                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1556                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1557           done ; \
1558         fi
1559
1560 ########### CLEAN ###################
1561 # Clean help (generated automatically by Scilab)
1562 # It used to clean the macro (clean-macros) but this was causing
1563 # make clean && make to fail Scilab startup
1564 @NEED_JAVA_TRUE@clean-local: clean-java
1565 @NEED_JAVA_FALSE@clean-local:
1566
1567 distclean-local:
1568         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1569
1570 .PHONY: macros java swig giws
1571
1572 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1573 # Otherwise a system limit (for SysV at least) may be exceeded.
1574 .NOEXPORT: